package com.xintong.visualinspection.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.xintong.visualinspection.bean.StatisticsBean;
import com.xintong.visualinspection.bean.StatisticsBo;
import com.xintong.visualinspection.service.StatisticsService;

/**
 * 文件名：StatisticsController
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@RestController
@RequestMapping("/statistics")
public class StatisticsController extends BaseController {

	@Autowired
	private StatisticsService statisticsService;
    
    /**
     * 温馨服务考核情况反馈表（所有员工排名）
     * @return
     * String
     * @exception
     * @since  1.0.0
     */
    @RequestMapping(value = "/employee/order")
    public String getEmployeeOrder(@RequestBody StatisticsBean obj){
    	List<StatisticsBo> lists=  statisticsService.getEmployeeCheckedInfo(obj);
    	return super.returnSuccessResult(lists);
    }
    
    /**
     * 温馨服务检查千分考核扣分情况汇总表
     * @param obj
     * @return
     */
    @RequestMapping(value = "/score/info")
    public String getScoreInfo(@RequestBody StatisticsBean obj){
    	List<StatisticsBean> lists=  statisticsService.getFeeStationCheckedScore(obj);
    	return super.returnSuccessResult(lists);
    }
    
    /**
     * 温馨服务检查情况统计表
     */
    @RequestMapping(value = "/score/item/info")
    public String getScoreItemInfo(@RequestBody StatisticsBean obj){
    	List<StatisticsBean> lists=  statisticsService.getFeeStationCheckItemScore(obj);
    	return super.returnSuccessResult(lists);
    }
}
